Package: org.gradle.api.artifacts.result

## [Java] Interface ResolvedDependencyResult

- org.gradle.api.artifacts.result.ResolvedDependencyResult

- All Superinterfaces:
    DependencyResult

  A dependency that was resolved successfully.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ResolvedComponentResult` | `getSelected()` Returns the selected component.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface DependencyResult` | `getFrom, getRequested`

- - ### Method Detail

    - #### public ResolvedComponentResult getSelected()

      Returns the selected component. This may not necessarily be the same as the requested component. For example, a dynamic version may have been requested, or the version may have been substituted due to conflict resolution, or by being forced, or for some other reason.